Subject: Offline Message from Ghadah Albannaa: Dear Mumzworld, It’s been a long time
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 09 Jun 2020 18:41:46 -0000

From: Ghadah Albannaa <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/trackhistory/track/shipmenttrack/id/Wm1tWTZQZWMyZS9pU0U1UnBaNFdPUT09/
Department: 

Dear Mumzworld,

It’s been a long time since I bought from you! Yet, I didn’t get my order delivered to Jeddah!!! It’s a gift for a pregnant friend who already had her baby while I’m waiting for you to deliver her the package!!! This delay is not acceptable!! It’s been more than two months!!!! Naqel is NOT helping and it’s seems like you got the order back to Dubai!!! Can someone tell me what’s going on!??? I paid for the order in advance because I was expecting better treatment!!!

Ghadah Albannaa

----
Zopim
https://www.zopim.com